textures/imperial/impsky_evening
{
    qer_editorImage textures/slackin/glass01.tga
    qer_trans 0.99        //will hide brushes when hiding transparent
    
    q3map_backsplash 0 0
    q3map_lightmapFilterRadius 0 2
    
    q3map_sunExt 0.99 0.93 0.7 35 77 66 1 8 //reduced Deviance + Samples
    
    q3map_lightRGB 0.99 0.93 0.7
    q3map_skylight 35 8

    q3map_noFog
    surfaceparm sky
    surfaceparm noimpact
    surfaceparm nolightmap
    surfaceparm nomarks
    surfaceparm nodlight
    
    skyparms env/turnpike/tp_sky2 1024 -
    
    nopicmip
    nomipmaps
    {
        map textures/slackin/clouds02.tga
        //blendFunc gl_src_alpha gl_one
        blendFunc gl_one_minus_src_alpha gl_src_color
        tcMod scale 3 2
        tcMod scroll 0.007 0.008
    }
    {
        map textures/slackin/clouds02.tga
        blendFunc gl_src_alpha gl_one
        //blendFunc gl_one_minus_src_alpha gl_src_color
        tcMod scroll 0.004 0.002
    }
}

textures/imperial/atrium_sky
{
    qer_editorImage textures/slackin/glass01.tga
    qer_trans 0.99        //will hide brushes when hiding transparent
    
    q3map_backsplash 0 0
    q3map_lightmapFilterRadius 0 2
    
    q3map_sunExt 0.99 0.93 0.7 85 77 66 1 8 //reduced Deviance + Samples
    
    q3map_lightRGB 0.99 0.93 0.7
    q3map_skylight 85 8

    q3map_noFog
    surfaceparm sky
    surfaceparm noimpact
    surfaceparm nolightmap
    surfaceparm nomarks
    surfaceparm nodlight
    
    skyparms env/turnpike/tp_sky2 1024 -
    
    nopicmip
    nomipmaps
    {
        map textures/slackin/clouds02.tga
        blendFunc gl_src_alpha gl_one
        //blendFunc gl_one_minus_src_alpha gl_src_color
        tcMod scale 3 2
        tcMod scroll 0.007 0.008
    }
    {
        map textures/slackin/clouds02.tga
        blendFunc gl_src_alpha gl_one
        //blendFunc gl_one_minus_src_alpha gl_src_color
        tcMod scroll 0.004 0.002
    }
}

textures/imperial/br_branch_2
{ 
    qer_editorimage textures/imperial/br_branch_2.tga 
    q3map_forcemeta
    q3map_vertexScale 1.5
    q3map_bouncescale 2
    //surfaceparm alphashadow - ugly shadows, uncomment if you like it..
    
    nopicmip 
    cull none    
    
    deformVertexes wave 5 sin 0 .1 0 .3
    {
        map textures/imperial/br_branch_2.tga 
        alphaFunc GE128
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
        //depthwrite - I think this is causing the sort issue..
        rgbGen     exactVertex    //vertex
    }
}
textures/imperial/br_palms1
{ 
    qer_editorimage textures/imperial/br_palms1.tga 
    q3map_forcemeta
    q3map_vertexScale 1.5
    q3map_bouncescale 2
    //surfaceparm alphashadow - ugly shadows, uncomment if you like it..
    
    cull none
    nopicmip 
    
    deformVertexes wave 5 sin 0 .3 0 .3
    { 
        map textures/imperial/br_palms1.tga 
        alphaFunc GE128
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
        //depthwrite - I think this is causing the sort issue..
        rgbGen     exactVertex    //vertex
    } 
}
textures/imperial/br_palms2
{
    qer_editorimage textures/imperial/br_palms2.tga
    q3map_forcemeta
    q3map_clipModel // uncomment this if you want model clipping on bark remember to add this line in the .surface file for wood hitsounds
    q3map_vertexScale 1.5
    q3map_bouncescale 2
    nopicmip
    {
        map textures/imperial/br_palms2.tga
        rgbGen exactVertex
    }
}

textures/imperial/popcorn_phong
{
	q3map_nonplanar
	q3map_shadeangle 75
	qer_editorImage textures/slackin/popcorn01.tga // this image will be different
	q3map_normalImage textures/slackin/popcorn01_n.tga
    surfaceparm stucco
	{
        map $lightmap
        rgbGen identity
    }  
	{
        map textures/slackin/popcorn01.tga
        blendFunc filter
	}
}

textures/imperial/slack_fence
{
	qer_editorImage textures/ut_turnpike/will_fence_chainlink.tga
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm playerclip
	surfaceparm alphashadow
	cull none
    noPicMip
	{
		map textures/ut_turnpike/will_fence_chainlink.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

